#ifndef __KATECH_LOGIC_H__
#define __KATECH_LOGIC_H__


#ifdef __KATECH_LOGIC_C__
	#define KATECH_LOGIC_C
#else
	#define KATECH_LOGIC_C    extern
#endif

#include "stdint.h"
#include "define.h"

#include "System_Check.h"
#include <Operation_Layer/Drive_Mode.h>

KATECH_LOGIC_C void ECU3_KATECH_Logic_init(void);
KATECH_LOGIC_C void ECU3_KATECH_Logic_2ms(void);
KATECH_LOGIC_C void ECU3_KATECH_Logic_5ms(void);
KATECH_LOGIC_C void ECU3_KATECH_Logic_10ms(void);
KATECH_LOGIC_C void ECU3_KATECH_Logic_20ms(void);
KATECH_LOGIC_C void ECU3_KATECH_Logic_100ms(void);
KATECH_LOGIC_C void ECU3_KATECH_Logic_200ms(void);
KATECH_LOGIC_C void ECU3_KATECH_Logic_1000ms(void);

KATECH_LOGIC_C float Test_Signal_1_[99];



#endif
